Package org.apache.cxf.transport

# Interface DestinationWithEndpoint

All Known Implementing Classes:
  `AbstractDestination`, `AbstractMultiplexDestination`

public interface DestinationWithEndpoint
A destination that has a specific endpoint.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointInfo`
  `getEndpointInfo()`
  Return the ServiceModel endpoint description for this destination.

- ## Method Details

  - ### getEndpointInfo

    EndpointInfo getEndpointInfo()
    Return the ServiceModel endpoint description for this destination.
    Returns:
      the endpoint description.